--- ./deps/v8/src/compiler/wasm-compiler.cc.orig	2025-06-24 15:18:23.000000000 -0500
+++ ./deps/v8/src/compiler/wasm-compiler.cc	2025-06-25 13:40:54.210945219 -0500
@@ -8613,11 +8613,13 @@
                  '-');
 
   auto compile_with_turboshaft = [&]() {
+    wasm::WrapperCompilationInfo ci;
+    ci.code_kind = CodeKind::WASM_TO_JS_FUNCTION;
+    ci.import_info.import_kind = kind;
+    ci.import_info.expected_arity = expected_arity;
+    ci.import_info.suspend = suspend;
     return Pipeline::GenerateCodeForWasmNativeStubFromTurboshaft(
-        env->module, sig,
-        wasm::WrapperCompilationInfo{
-            .code_kind = CodeKind::WASM_TO_JS_FUNCTION,
-            .import_info = {kind, expected_arity, suspend}},
+        env->module, sig, ci,
         func_name, WasmStubAssemblerOptions(), nullptr);
   };
   auto compile_with_turbofan = [&]() {
@@ -8774,12 +8776,14 @@
       base::VectorOf(name_buffer.get(), kMaxNameLen) + kNamePrefixLen, sig);
 
   auto compile_with_turboshaft = [&]() {
+    wasm::WrapperCompilationInfo ci;
+    ci.code_kind = CodeKind::WASM_TO_JS_FUNCTION;
+    ci.import_info.import_kind = kind;
+    ci.import_info.expected_arity = expected_arity;
+    ci.import_info.suspend = suspend;
     std::unique_ptr<turboshaft::TurboshaftCompilationJob> job =
         Pipeline::NewWasmTurboshaftWrapperCompilationJob(
-            isolate, sig,
-            wasm::WrapperCompilationInfo{
-                .code_kind = CodeKind::WASM_TO_JS_FUNCTION,
-                .import_info = {kind, expected_arity, suspend}},
+            isolate, sig, ci,
             nullptr, std::move(name_buffer), WasmAssemblerOptions());
 
     // Compile the wrapper
--- ./deps/cares/config/linux/ares_config.h.orig	2025-06-24 15:18:20.000000000 -0500
+++ ./deps/cares/config/linux/ares_config.h	2025-06-25 13:44:13.843934177 -0500
@@ -570,4 +570,11 @@
 /* #undef _LARGE_FILES */
 
 /* Define to `unsigned int' if <sys/types.h> does not define. */
-/* #undef size_t */
\ No newline at end of file
+/* #undef size_t */
+
+/* Fix for older glibc: */
+#if defined(__GLIBC__) && (__GLIBC__ < 2 || (__GLIBC__ == 2 && __GLIBC_MINOR__ < 25))
+#undef HAVE_SYS_RANDOM_H
+#undef HAVE_GETRANDOM
+#endif
+
